JTS Topology Suite version 1.13

## com.vividsolutions.jts.operation.buffer.validate
Class BufferCurveMaximumDistanceFinder.MaxPointDistanceFilter

    java.lang.Object
      com.vividsolutions.jts.operation.buffer.validate.BufferCurveMaximumDistanceFinder.MaxPointDistanceFilter

All Implemented Interfaces:
  CoordinateFilter

Enclosing class:
  BufferCurveMaximumDistanceFinder

    public static class BufferCurveMaximumDistanceFinder.MaxPointDistanceFilter

extends java.lang.Object
implements CoordinateFilter

Constructor Summary
`BufferCurveMaximumDistanceFinder.MaxPointDistanceFilter(Geometry geom)`

Method Summary
`void` `filter(Coordinate pt)` Performs an operation with or on `coord`.
`PointPairDistance` `getMaxPointDistance()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BufferCurveMaximumDistanceFinder.MaxPointDistanceFilter

    public BufferCurveMaximumDistanceFinder.MaxPointDistanceFilter(Geometry geom)

Method Detail

### filter

    public void filter(Coordinate pt)

  Description copied from interface: `CoordinateFilter`
  Performs an operation with or on `coord`.

  Specified by:
    `filter` in interface `CoordinateFilter`
  Parameters:
    `pt` - a `Coordinate` to which the filter is applied.

### getMaxPointDistance

    public PointPairDistance getMaxPointDistance()

JTS Topology Suite version 1.13